Package org.apache.lucene.monitor

## Class PresearcherMatch<T extends QueryMatch>

- java.lang.Object
- - org.apache.lucene.monitor.PresearcherMatch<T>

-     public class PresearcherMatch<T extends QueryMatch>
      extends Object

  Wraps a `QueryMatch` with information about which queries were selected by the presearcher

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `presearcherMatches` | The presearcher hits
    `String` | `queryId` | The query id
    `T` | `queryMatch` | The QueryMatch

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### presearcherMatches

          public final String presearcherMatches

      The presearcher hits

    - #### queryMatch

          public final T extends QueryMatch queryMatch

      The QueryMatch

    - #### queryId

          public final String queryId

      The query id